stat.diag.da {sma} | R Documentation

## Diagonal Discriminant Analysis

### Description

This function implements a simple Gaussian maximum likelihood discriminant rule, for diagonal class covariance matrices.

### Usage

    stat.diag.da(ls, cll, ts, pool=1)

### Arguments

`ls` | learning set data matrix, with rows corresponding to cases (i.e., mRNA samples) and columns to predictor variables (i.e., genes).
`cll` | class labels for learning set, must be consecutive integers.
`ts` | test set data matrix, with rows corresponding to cases and columns to predictor variables.
`pool` | logical flag. If `pool=1`, the covariance matrices are assumed to be constant across classes and the discriminant rule is linear in the data. If `pool=0`, the covariance matrices may vary across classes and the discriminant rule is quadratic in the data.

### Value

List containing the following components

`pred` | vector of class predictions for the test set.

### Author(s)

Sandrine Dudoit, sandrine@stat.berkeley.edu
Jane Fridlyand, janef@stat.berkeley.edu

### References

S. Dudoit, J. Fridlyand, and T. P. Speed. Comparison of Discrimination Methods for the Classification of Tumors Using Gene Expression Data. June 2000. (Statistics, UC Berkeley, Tech Report #576).

[Package sma version 0.5.14 Index]